#if !defined(AFX_TXDLG_H__0061FEC4_9E62_493C_BA51_E5D1753D7873__INCLUDED_)
#define AFX_TXDLG_H__0061FEC4_9E62_493C_BA51_E5D1753D7873__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TxDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTxDlg dialog

class CTxDlg : public CDialog
{
// Construction
public:
	CMutex *m_mutex;
	CTxDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTxDlg)
	enum { IDD = IDD_TRANSMIT };
	CEdit	m_NodeID;
	CEdit	m_TimeoutCount;
	CButton	m_Stop;
	CButton	m_Start;
	CButton	m_SequentialData;
	CButton	m_Reset;
	CEdit	m_ReconCount;
	CEdit	m_PacketSize;
	CEdit	m_PacketDelay;
	CEdit	m_PacketCount;
	CButton	m_LoopTest;
	CButton	m_LogErrors;
	CEdit	m_GoodPackets;
	CButton	m_FixedPktSize;
	CEdit	m_ExcNaks;
	CEdit	m_DataErrors;
	CButton	m_AddChecksum;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTxDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTxDlg)
	afx_msg void OnExit();
	virtual BOOL OnInitDialog();
	afx_msg void OnStart();
	afx_msg void OnStop();
	afx_msg void OnReset();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TXDLG_H__0061FEC4_9E62_493C_BA51_E5D1753D7873__INCLUDED_)
